Package org.italiangrid.voms.ac.impl

# Class DefaultVOMSValidator.Builder

java.lang.Object
org.italiangrid.voms.ac.impl.DefaultVOMSValidator.Builder

Enclosing class:
  `DefaultVOMSValidator`

public static class DefaultVOMSValidator.Builder extends Object

## Constructor Summary

Constructors
Constructor
Description
`Builder()`

## Method Summary

Modifier and Type
Method
Description
`DefaultVOMSValidator.Builder`
`acLookupStrategy(VOMSACLookupStrategy ls)`
`DefaultVOMSValidator`
`build()`
`DefaultVOMSValidator.Builder`
`certChainValidator(eu.emi.security.authn.x509.X509CertChainValidatorExt v)`
`DefaultVOMSValidator.Builder`
`trustStore(VOMSTrustStore ts)`
`DefaultVOMSValidator.Builder`
`validationListener(ValidationResultListener l)`
`DefaultVOMSValidator.Builder`
`validationStrategy(VOMSACValidationStrategy s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder()

## Method Details

### validationStrategy

public DefaultVOMSValidator.Builder validationStrategy(VOMSACValidationStrategy s)

### trustStore

public DefaultVOMSValidator.Builder trustStore(VOMSTrustStore ts)

### validationListener

public DefaultVOMSValidator.Builder validationListener(ValidationResultListener l)

### certChainValidator

public DefaultVOMSValidator.Builder certChainValidator(eu.emi.security.authn.x509.X509CertChainValidatorExt v)

### acLookupStrategy

public DefaultVOMSValidator.Builder acLookupStrategy(VOMSACLookupStrategy ls)

### build

public DefaultVOMSValidator build()